Get notifications
Get calendar notifications based on query
GET
/
calendars
/
{calendarId}
/
notifications
Get notifications
curl --request GET \
--url https://services.leadconnectorhq.com/calendars/{calendarId}/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/calendars/{calendarId}/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/{calendarId}/notifications"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)[
{
"_id": "<string>",
"receiverType": "contact",
"additionalEmailIds": [
"example1@email.com",
"example2@email.com"
],
"additionalPhoneNumbers": [
"+919876744444",
"+919876744445"
],
"channel": "email",
"notificationType": "confirmation",
"isActive": true,
"additionalWhatsappNumbers": [
"+919876744444",
"+919876744445"
],
"templateId": "0as9d8as0d",
"body": "This is a test notification",
"subject": "Test Notification",
"afterTime": [
{
"timeOffset": 1,
"unit": "hours"
}
],
"beforeTime": [
{
"timeOffset": 1,
"unit": "hours"
}
],
"selectedUsers": [
"user1",
"user2"
],
"deleted": false
}
]{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Query Parameters
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Get notifications
curl --request GET \
--url https://services.leadconnectorhq.com/calendars/{calendarId}/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/calendars/{calendarId}/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/{calendarId}/notifications"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)[
{
"_id": "<string>",
"receiverType": "contact",
"additionalEmailIds": [
"example1@email.com",
"example2@email.com"
],
"additionalPhoneNumbers": [
"+919876744444",
"+919876744445"
],
"channel": "email",
"notificationType": "confirmation",
"isActive": true,
"additionalWhatsappNumbers": [
"+919876744444",
"+919876744445"
],
"templateId": "0as9d8as0d",
"body": "This is a test notification",
"subject": "Test Notification",
"afterTime": [
{
"timeOffset": 1,
"unit": "hours"
}
],
"beforeTime": [
{
"timeOffset": 1,
"unit": "hours"
}
],
"selectedUsers": [
"user1",
"user2"
],
"deleted": false
}
]{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}